<?php class TaxonomiesWidget extends WP_Widget
{
    function TaxonomiesWidget(){
		$widget_ops = array('description' => 'Displays Taxonomies');
		$control_ops = array('width' => 400, 'height' => 500);
		parent::WP_Widget(false,$name='ET Taxonomies Widget',$widget_ops,$control_ops);
    }

  /* Displays the Widget in the front-end */
    function widget($args, $instance){
		extract($args);
		$title = apply_filters('widget_title', empty($instance['title']) ? 'Categories' : $instance['title']);
		
		echo $before_widget;

		if ( $title )
		echo $before_title . $title . $after_title;
?>	
	<?php 
		$taxArray = array('notes','videos','quotes','photos','links','audio files');
			
		for ($i = 0; $i <= 5; $i++) {
			$orderby = 'name'; $show_count = 0; $pad_counts = 0; $hierarchical = 0; 
			$taxonomy = 'custom-tax'; 
			if ($i>0) $taxonomy = 'custom-tax'.($i+1);

			$title = '';
			$args = array( 'orderby' => $orderby, 'show_count' => $show_count, 'pad_counts' => $pad_counts, 'hierarchical' => $hierarchical, 'taxonomy' => $taxonomy, 'title_li' => $title, 'echo' => '0' ); ?>
			
			<?php $taxonomyTemp = wp_list_categories($args);
			if ($taxonomyTemp <> '<li>No categories</li>') { ?>
				<p class="taxonomy"><?php echo(ucfirst($taxArray[$i]))?>:</p>
				<ul>
					<?php echo $taxonomyTemp; ?>
				</ul>
			<?php };
		}; ?>			
<?php
		echo $after_widget;
	}

  /*Saves the settings. */
    function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = stripslashes($new_instance['title']);

		return $instance;
	}

  /*Creates the form for the widget in the back-end. */
    function form($instance){
		//Defaults
		$instance = wp_parse_args( (array) $instance, array('title'=>'Categories') );

		$title = htmlspecialchars($instance['title']);

		# Title
		echo '<p><label for="' . $this->get_field_id('title') . '">' . 'Title:' . '</label><input class="widefat" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . $title . '" /></p>';
	}

}// end TaxonomiesWidget class

function TaxonomiesWidgetInit() {
  register_widget('TaxonomiesWidget');
}

add_action('widgets_init', 'TaxonomiesWidgetInit');

?>